<?php

namespace App\Http\Controllers\GalleryWall;

use App\GalleryWall;
use App\Http\Controllers\ApiController;
use App\Http\Controllers\Controller;
use App\Wall;
use Illuminate\Support\Facades\Validator;

class GalleryWallController extends ApiController
{

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Wall $wall)
    {

        $img = request()->file( 'file' );

        $input = [
            'image' => $img
        ];

        $rules = [ 
            'image' => ['required', 'image']
        ];

        $validate = Validator::make($input, $rules);

        if ($validate->fails())
        {
            return $validate->errors();
        }

        $data['image'] = request('file')->store('/'.$wall->id, 'img_walls_gallery');

        $galleryWall = GalleryWall::create([
            'wall_id' => $wall->id,
            'img' => $data['image']
        ]);

        return $this->responseUploadFile( $galleryWall, 201 );
    }
}
