<?php

namespace App;

use App\ImpactData;
use Illuminate\Database\Eloquent\Model;

class Impact extends Model
{
    protected $fillable = [
    	'country_id',
    	'state',
        'name',
        'date_range'
    ];

    public function impacts() {
        return $this->hasMany(ImpactData::class);
    }

    /* Mutadores, cambiaran el valor antes de insertar valores */
    public function setStateAttribute($state) {
        $this->attributes['state'] = mb_strtolower($state);
    }

    public function setNameAttribute($name) {
        $this->attributes['name'] = mb_strtolower($name);
    }


}
