<?php

namespace App\Providers;

use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;
use Illuminate\Support\Facades\Gate;
use Laravel\Passport\Passport;
use Carbon\Carbon;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the application.
     *
     * @var array
     */
    protected $policies = [
        // 'App\Model' => 'App\Policies\ModelPolicy',
    ];

    /**
     * Register any authentication / authorization services.
     *
     * @return void
     */
    public function boot()
    {
        $this->registerPolicies();

        Passport::routes();
        // Tiempo de expiracion del token
        Passport::tokensExpireIn(Carbon::now()->addMinutes(720));
        //Passport::refreshTokensExpireIn(Carbon::now()->addDays(30));

        Gate::before(function ($user, $ability) {
            return $user->hasRole('superadministrator') ? true : null;
        });
    }
}
