<?php

namespace App;

use App\Country;
use App\User;
use Illuminate\Database\Eloquent\Model;

class Team extends Model
{
    protected $fillable = [
        'name',
        'description'
    ];

    /* Mutadores, cambiaran el valor antes de insertar valores */
    public function setNameAttribute($name) {
        $this->attributes['name'] = mb_strtolower($name);
    }

    public function setDescriptionAttribute($description) {
        $this->attributes['description'] = mb_strtolower($description);
    }

    public function users() {
        return $this->belongsToMany(User::class, 'user_team');
    }

    public function countries() {
        return $this->belongsToMany(Country::class, 'country_team');
    }
}
